All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::MinSumK< T, SSA, use_seen > Struct Template Reference

## Public Types

typedef CMin< T, long > | HC

## Public Member Functions

| MinSumK (int K, int M, int N)
bool | is_seen (long i)
void | mark_seen (long i)
void | run (const T *x, T *sums, long *terms)
void | enqueue_follower (long ti, int m, int n, T sum)

## Public Attributes

int | K
| nb of sums to return
int | M
| nb of elements to sum up
int | N
| nb of possible elements for each of the M terms
size_t | heap_capacity
size_t | heap_size
T * | bh_val
long * | bh_ids
std::vector< SSA > | ssx
std::vector< long > | weights
std::vector< uint8_t > | seen

## Detailed Description

### template<typename T, class SSA, bool use_seen>
struct faiss::MinSumK< T, SSA, use_seen >

Definition at line 650 of file IndexPQ.cpp.

## Member Typedef Documentation

template<typename T, class SSA, bool use_seen>

typedef CMin<T, long> faiss::MinSumK< T, SSA, use_seen >::HC

the heap. We use a heap to maintain a queue of sums, with the associated terms involved in the sum.

Definition at line 659 of file IndexPQ.cpp.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/IndexPQ.cpp